差在哪
这个平台上还有 1 个接口卖的数据和它差不多。目录里写的差别:
| 接口 | 每条 | 每页最低 | 每页条数 | 能用 cursor 翻页 | 参数 | 字段数 |
|---|---|---|---|---|---|---|
| /v1/jd-product/product | $0.05 | $0.035714 | 1 | 否 | items | 39 |
| /v1/jd/product | $0.05 | $0.038848 | 1 | 否 | items | 39 |
怎么发
用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。
curl -X POST "https://api.silklinedata.com/v1/jd-product/product" \
-H "Authorization: Bearer $SILKLINE_KEY" \
-H "Content-Type: application/json" \
-d '{"limit":5,"items":["100393340928"]}'import os, requests
response = requests.post(
"https://api.silklinedata.com/v1/jd-product/product",
headers={"Authorization": "Bearer " + os.environ["SILKLINE_KEY"]},
json={
"limit": 5,
"items": ["100393340928"],
},
)
answer = response.json()
print(answer["data"], answer["meta"]["charged_usd"])const response = await fetch("https://api.silklinedata.com/v1/jd-product/product", {
method: "POST",
headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
body: JSON.stringify({
"limit": 5,
"items": [
"100393340928"
]
}),
});
const { data, cursor, meta } = await response.json();
console.log(data, meta.charged_usd);返回什么
这是 2026-11-03 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。
200 OK · 取数日期 2026-11-03
{
"data": [
{
"type": "productDetail",
"productId": "100393340928",
"url": "https://item.jd.com/100393340928.html",
"mobileUrl": "https://item.m.jd.com/product/1003933…",
"spuId": "100302476405",
"title": "摩米士(MOMAX)【轻薄裸感】适用苹果18…",
"shortTitle": "iphone18ProMax/17ProMax超薄壳",
"brand": "摩米士(MOMAX)",
"brandId": "13056",
"model": "MTAP26XLW",
"upc": "6978636315239",
"seriesId": "1332811",
"categoryIds": [
"9987",
"830",
"866"
],
"color": "云皑白色",
"size": "iPhone18 ProMax丨兼容17 ProMax",
"imageUrl": "https://img30.360buyimg.com/sku/jfs/t…",
"images": [
"https://img30.360buyimg.com/sku/jfs/t…",
"https://img30.360buyimg.com/sku/jfs/t…",
"https://img30.360buyimg.com/sku/jfs/t…"
],
"imageCount": 3,
"hasVideo": true,
"stockStateCode": 33,
"stockQuantity": 115,
"maxCartQuantity": 999,
"weightKg": 0.096,
"lengthMm": 204,
"widthMm": 111,
"heightMm": 22,
"shopId": "1000003262",
"shopName": "摩米士京东自营旗舰店",
"shopUrl": "https://mall.jd.com/index-1000003262.…",
"vendorId": "1000003262",
"isSelfOperated": true,
"deliveryPromise": "23:10前付款,预计明天(11月04日)送达",
"shippingFeeText": "所选地址自营订单满59元免基础运费(20kg…",
"returnPolicy": "7天无理由退货",
"isSevenDayReturn": true,
"services": [
"7天价保",
"一年质保",
"复购补贴"
],
"serviceTags": [
"明日达",
"211限时达",
"极速达"
],
"outputVatPercent": 13,
"listedAt": "2026-09-01T02:49:56Z"
}
],
"cursor": null,
"meta": {
"request_id": "req_01JD8Q…",
"charged_usd": "0.050000",
"balance_usd": "9.875000",
"items": 1
}
}字段 39
| 字段 | 类型 | 示例值 |
|---|---|---|
| type | string | productDetail |
| productId | string | 100393340928 |
| url | string | https://item.jd.com/100393340928.html |
| mobileUrl | string | https://item.m.jd.com/product/100393340928.html |
| spuId | string | 100302476405 |
| title | string | 摩米士(MOMAX)【轻薄裸感】适用苹果18promax手机壳iphone18PROMax/17PROMax保护套磁吸壳… |
| shortTitle | string | iphone18ProMax/17ProMax超薄壳 |
| brand | string | 摩米士(MOMAX) |
| brandId | string | 13056 |
| model | string | MTAP26XLW |
| upc | string | 6978636315239 |
| seriesId | string | 1332811 |
| categoryIds | array | ["9987","830","866"] |
| color | string | 云皑白色 |
| size | string | iPhone18 ProMax丨兼容17 ProMax |
| imageUrl | string | https://img30.360buyimg.com/sku/jfs/t1/542130/7/10419/139223… |
| images | array | ["https://img30.360buyimg.com/sku/jfs/t1/542130/7/10419/1392… |
| imageCount | number | 3 |
| hasVideo | boolean | true |
| stockStateCode | number | 33 |
| stockQuantity | number | 115 |
| maxCartQuantity | number | 999 |
| weightKg | number | 0.096 |
| lengthMm | number | 204 |
| widthMm | number | 111 |
| heightMm | number | 22 |
| shopId | string | 1000003262 |
| shopName | string | 摩米士京东自营旗舰店 |
| shopUrl | string | https://mall.jd.com/index-1000003262.html |
| vendorId | string | 1000003262 |
| isSelfOperated | boolean | true |
| deliveryPromise | string | 23:10前付款,预计明天(11月04日)送达 |
| shippingFeeText | string | 所选地址自营订单满59元免基础运费(20kg内),超出重量加收1元/kg续重运费。 |
| returnPolicy | string | 7天无理由退货 |
| isSevenDayReturn | boolean | true |
| services | array | ["7天价保","一年质保","复购补贴"] |
| serviceTags | array | ["明日达","211限时达","极速达"] |
| outputVatPercent | number | 13 |
| listedAt | string | 2026-09-01T02:49:56Z |
参数 2
| 参数名 | 类型 | 必填 | 说明 | 示例 |
|---|---|---|---|---|
| limit | integer | 否 | 返回的记录条数,1 到 100。一次请求返回的条数不会超过这个值。 | 5 |
| items | array | 是 | 京东商品链接(https://item.jd.com/100393340928.html)或数字商品 ID。每个商品返回一条完整记录。 | ["100393340928"] |
翻页
这个接口一次请求就返回全部:要更多条就把 limit 调大(最多 100)。cursor 一直是 null。
一次请求花多少
按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。
这个接口每条单独取,每取一条的最低收费是 $0.035714。
- 1 条:最多 $0.05
- 20 条:最多 $1.00
- 100 条:最多 $5.00
返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。
常见问题
「京东商品详情」要传哪些参数?
必填:items。另外都可以传 limit(1 到 100)。
一次请求最多返回多少条?
每次请求最多 100 条(limit 1 到 100)。每页最多 1 条,要 100 条时一次请求取 100 页。
能接着往后取吗?
不能。这个接口一次请求就把结果全部返回,回答里的 cursor 是 null。
怎么收费?
每条 详情记录 $0.05。每页最低收费 $0.035714:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $5.00。
请求失败或者没有结果时怎么收费?
按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。